Solo usuarios registrados pueden comentar y agradecer, Logueate o Registrate

Autor Topic: Error al comprar articulos de la webshop mvcore version 1.17.1  (Visto 885 veces)

0 Miembros and 1 Guest are viewing this topic.

Offline Cuosmir Posteado: April 07, 2017, 09:06:27 PM

Buenas gente, estoy teniendo inconvenientes con la webshop que viene en la web creada con mvcore 1.17.1. Pasa lo siguiente, compro un item, sale un error en la web pero a la vez el item te lo da. Dejo foto del error:



Por lo que dice debe haber un error en algun modulo, pero como no la tengo clara con programacion php, no puedo solucionarlo.

Si alguien sabe que puedo hacer se lo voy a agradecer.

Desde ya muchas gracias!

Saludos.

Online ZabiinoOo #1 Posteado: April 08, 2017, 02:57:35 AM

  • MAESTRO

  • US. DE HONOR

  • LEYENDA

  • Administrador
  • 0 puntos por ventas
  • *
  • Rank: Puto amo
  • Posts: 6.279
  • Gracias recibida: 89982
  • pe
Al instalar la web te tiro algun error? estas usando la web y webshop con muemu? puede deberse a mal instalacion o simple incompatibilidad alguna de las 2, responde para plantear una solución al respect
  • Like
    Dislike
    Love
    HaHa
    Angry
    Surprise
    Sad
    Party



Prohibido pedir soporte via MP
Leer las reglas de cada seccion
we trust god

Gracias:


Offline firemarcos #2 Posteado: April 08, 2017, 03:04:27 AM

  • MAESTRO

  • 0 puntos por ventas
  • *
  • Rank: Puto amo
  • Posts: 854
  • Gracias recibida: 19923
  • ar
Revisa las configuraciones en el Admin Panel>WebShop Manage.
A mi me salia cuando tenia mal configurados los soket y algunas cosas.

Gracias:


Offline Cuosmir #3 Posteado: April 08, 2017, 10:09:56 AM

Al instalar la web te tiro algun error? estas usando la web y webshop con muemu? puede deberse a mal instalacion o simple incompatibilidad alguna de las 2, responde para plantear una solución al respect

Cuando instale la web no me dio ningun error. Es mas la primera web que instale era incompatible, tuve que bajar la que tengo ahora. La instale lo mas bien y funciona todo de 10, salvo eso que sale cuando compras en la webshop. Y la web vino con webshop y es de mu emu

Offline Cuosmir #4 Posteado: April 08, 2017, 10:15:01 AM

Revisa las configuraciones en el Admin Panel>WebShop Manage.
A mi me salia cuando tenia mal configurados los soket y algunas cosas.

Por lo que se ve esta todo bien configurado. O tal vez halla algo que veo que esta bien y no es asi... Lo unico que cambie fue que los items solo se puedan comprar con 4 sockets. Voy a probar poniendolo en 5 o en 3 a ver que onda. Pero eso puede influir en este error?

Offline Cuosmir #5 Posteado: April 08, 2017, 10:43:32 AM

Revisa las configuraciones en el Admin Panel>WebShop Manage.
A mi me salia cuando tenia mal configurados los soket y algunas cosas.

Por lo que se ve esta todo bien configurado. O tal vez halla algo que veo que esta bien y no es asi... Lo unico que cambie fue que los items solo se puedan comprar con 4 sockets. Voy a probar poniendolo en 5 o en 3 a ver que onda. Pero eso puede influir en este error?

Probe cambiandole las configuraciones. Le puse comprar con 5 sockets, con 3 sockets, con opciones harmony, sin opciones harmony. Tambien para comprar con opciones ancient, sin opciones ancient. Con algunas opciones exe y con todas las opciones exe. Y nada. Sigue dando el mismo error :/

Offline Cuosmir #6 Posteado: April 08, 2017, 09:33:41 PM

Al instalar la web te tiro algun error? estas usando la web y webshop con muemu? puede deberse a mal instalacion o simple incompatibilidad alguna de las 2, responde para plantear una solución al respect

A continacion dejo el codigo de la webshop de la linea 1829 a la linea 1840

        }
   $useforlength   = substr($itemsm,0,$last);
   $findslotlikethis='^'.str_replace('++','+',str_replace('1','+[0-1]+', $useforlength));
   $i=0;$nx=0;$ny=0;
   while ($i<$ilc) {
      if ($nx==8) { $ny++; $nx=0; }
      if ((eregi($findslotlikethis,substr($items, $i, strlen($useforlength)))) && ($itemX+$nx<9) && ($itemY+$ny<16))
         return $i;
      $i++;
      $nx++;

   }

La linea señalada en rojo esta la 1836, osea la del error.

El codigo esta tal cual como esta en el archivo php de la webshop, con espacios y todo.

Tal vez halla algun error de sintaxis o algo que no va. Si alguien sabe que puede ser seria de gran ayuda.

Desde ya, gracias.

Solo usuarios registrados pueden comentar y agradecer, Logueate o Registrate

 

Related Topics

  Subject / Started by Replies Last post
8 Replies
960 Views
Last post May 25, 2017, 12:07:30 PM
by yorfrank56
2 Replies
624 Views
Last post May 28, 2017, 07:04:29 PM
by yorfrank56
4 Replies
703 Views
Last post May 30, 2017, 12:17:08 AM
by Maxic1987
0 Replies
511 Views
Last post June 29, 2017, 02:31:52 PM
by yorfrank56
0 Replies
96 Views
Last post April 02, 2020, 06:21:34 PM
by chuvito